/*
 * Interface wrapper code.
 *
 * Generated by SIP 4.17
 */

#include "sipAPIlibrviz_sip.h"

#line 7 "view_controller.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/view_controller.h>
#line 13 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"

#line 26 "/usr/share/sip/PyQt5/QtGui/qcursor.sip"
#include <qcursor.h>
#line 17 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 7 "config.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/config.h>
#line 21 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 27 "/usr/share/sip/PyQt5/QtCore/qstring.sip"
#include <qstring.h>
#line 24 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 27 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qvariant.sip"
#include <qvariant.h>
#line 30 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 7 "property.sip"
#define ROS_PACKAGE_NAME "rviz"
#include <rviz/properties/property.h>
#line 34 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 28 "/usr/share/sip/PyQt5/QtWidgets/qwidget.sip"
#include <qwidget.h>
#line 37 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 560 "/usr/share/sip/PyQt5/QtWidgets/qstyleoption.sip"
#include <qstyleoption.h>
#line 40 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtGui/qpainter.sip"
#include <qpainter.h>
#line 43 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qmetaobject.sip"
#include <qmetaobject.h>
#line 46 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 49 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 244 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 52 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 232 "/usr/share/sip/PyQt5/QtCore/qcoreevent.sip"
#include <qcoreevent.h>
#line 55 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 28 "/usr/share/sip/PyQt5/QtCore/qobject.sip"
#include <qobject.h>
#line 58 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 36 "/usr/share/sip/PyQt5/QtCore/qpycore_qlist.sip"
#include <qlist.h>
#line 61 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 32 "/usr/share/sip/PyQt5/QtCore/qbytearray.sip"
#include <qbytearray.h>
#line 64 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 144 "/usr/share/sip/PyQt5/QtCore/qpycore_qlist.sip"
#include <qlist.h>
#line 67 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 70 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qthread.sip"
#include <qthread.h>
#line 73 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qnamespace.sip"
#include <qnamespace.h>
#line 76 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qregexp.sip"
#include <qregexp.h>
#line 79 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qregularexpression.sip"
#include <qregularexpression.h>
#line 82 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"
#line 26 "/usr/share/sip/PyQt5/QtCore/qobjectdefs.sip"
#include <qobjectdefs.h>
#line 85 "/home/eaibot/2022_jsjds/dashgo_ws/devel/bin/sip/rviz_sip/siplibrviz_siprvizViewController.cpp"


extern "C" {static PyObject *meth_rviz_ViewController_formatClassId(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_formatClassId(PyObject *, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        const QString* a0;
        int a0State = 0;

        if (sipParseArgs(&sipParseErr, sipArgs, "J1", sipType_QString,&a0, &a0State))
        {
            QString*sipRes;

            sipRes = new QString(rviz::ViewController::formatClassId(*a0));
            sipReleaseType(const_cast<QString *>(a0),sipType_QString,a0State);

            return sipConvertFromNewType(sipRes,sipType_QString,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_formatClassId, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_getViewData(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_getViewData(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        int a0;
        int a1;
        const rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bii", &sipSelf, sipType_rviz_ViewController, &sipCpp, &a0, &a1))
        {
            QVariant*sipRes;

            sipRes = new QVariant((sipSelfWasArg ? sipCpp->rviz::ViewController::getViewData(a0,a1) : sipCpp->getViewData(a0,a1)));

            return sipConvertFromNewType(sipRes,sipType_QVariant,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_getViewData, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_getViewFlags(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_getViewFlags(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        int a0;
        const rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bi", &sipSelf, sipType_rviz_ViewController, &sipCpp, &a0))
        {
            Qt::ItemFlags*sipRes;

            sipRes = new Qt::ItemFlags((sipSelfWasArg ? sipCpp->rviz::ViewController::getViewFlags(a0) : sipCpp->getViewFlags(a0)));

            return sipConvertFromNewType(sipRes,sipType_Qt_ItemFlags,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_getViewFlags, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_activate(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_activate(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            sipCpp->activate();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_activate, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_update(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_update(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        float a0;
        float a1;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bff", &sipSelf, sipType_rviz_ViewController, &sipCpp, &a0, &a1))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::update(a0,a1) : sipCpp->update(a0,a1));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_update, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_lookAt(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_lookAt(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        float a0;
        float a1;
        float a2;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "Bfff", &sipSelf, sipType_rviz_ViewController, &sipCpp, &a0, &a1, &a2))
        {
            sipCpp->lookAt(a0,a1,a2);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_lookAt, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_reset(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_reset(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    PyObject *sipOrigSelf = sipSelf;

    {
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            if (!sipOrigSelf)
            {
                sipAbstractMethod(sipName_ViewController, sipName_reset);
                return NULL;
            }

            sipCpp->reset();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_reset, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_mimic(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_mimic(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::ViewController* a0;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ8", &sipSelf, sipType_rviz_ViewController, &sipCpp, sipType_rviz_ViewController, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::mimic(a0) : sipCpp->mimic(a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_mimic, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_transitionFrom(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_transitionFrom(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::ViewController* a0;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ8", &sipSelf, sipType_rviz_ViewController, &sipCpp, sipType_rviz_ViewController, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::transitionFrom(a0) : sipCpp->transitionFrom(a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_transitionFrom, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_emitConfigChanged(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_emitConfigChanged(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            sipCpp->emitConfigChanged();

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_emitConfigChanged, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_getClassId(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_getClassId(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            QString*sipRes;

            sipRes = new QString((sipSelfWasArg ? sipCpp->rviz::ViewController::getClassId() : sipCpp->getClassId()));

            return sipConvertFromNewType(sipRes,sipType_QString,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_getClassId, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_setClassId(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_setClassId(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const QString* a0;
        int a0State = 0;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ1", &sipSelf, sipType_rviz_ViewController, &sipCpp, sipType_QString,&a0, &a0State))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::setClassId(*a0) : sipCpp->setClassId(*a0));
            sipReleaseType(const_cast<QString *>(a0),sipType_QString,a0State);

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_setClassId, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_load(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_load(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        const rviz::Config* a0;
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ9", &sipSelf, sipType_rviz_ViewController, &sipCpp, sipType_rviz_Config, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::load(*a0) : sipCpp->load(*a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_load, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_save(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_save(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::Config* a0;
        const rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "BJ9", &sipSelf, sipType_rviz_ViewController, &sipCpp, sipType_rviz_Config, &a0))
        {
            (sipSelfWasArg ? sipCpp->rviz::ViewController::save(*a0) : sipCpp->save(*a0));

            Py_INCREF(Py_None);
            return Py_None;
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_save, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_isActive(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_isActive(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;

    {
        const rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            bool sipRes;

            sipRes = sipCpp->isActive();

            return PyBool_FromLong(sipRes);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_isActive, NULL);

    return NULL;
}


extern "C" {static PyObject *meth_rviz_ViewController_getCursor(PyObject *, PyObject *);}
static PyObject *meth_rviz_ViewController_getCursor(PyObject *sipSelf, PyObject *sipArgs)
{
    PyObject *sipParseErr = NULL;
    bool sipSelfWasArg = (!sipSelf || sipIsDerived((sipSimpleWrapper *)sipSelf));

    {
        rviz::ViewController *sipCpp;

        if (sipParseArgs(&sipParseErr, sipArgs, "B", &sipSelf, sipType_rviz_ViewController, &sipCpp))
        {
            QCursor*sipRes;

            sipRes = new QCursor((sipSelfWasArg ? sipCpp->rviz::ViewController::getCursor() : sipCpp->getCursor()));

            return sipConvertFromNewType(sipRes,sipType_QCursor,NULL);
        }
    }

    /* Raise an exception if the arguments couldn't be parsed. */
    sipNoMethod(sipParseErr, sipName_ViewController, sipName_getCursor, NULL);

    return NULL;
}


/* Cast a pointer to a type somewhere in its superclass hierarchy. */
extern "C" {static void *cast_rviz_ViewController(void *, const sipTypeDef *);}
static void *cast_rviz_ViewController(void *ptr, const sipTypeDef *targetType)
{
    void *res;

    if (targetType == sipType_rviz_ViewController)
        return ptr;

    if ((res = ((const sipClassTypeDef *)sipType_rviz_Property)->ctd_cast((rviz::Property *)(rviz::ViewController *)ptr,targetType)) != NULL)
        return res;

    return NULL;
}


/* Call the instance's destructor. */
extern "C" {static void release_rviz_ViewController(void *, int);}
static void release_rviz_ViewController(void *sipCppV,int)
{
    rviz::ViewController *sipCpp = reinterpret_cast<rviz::ViewController *>(sipCppV);

    if (QThread::currentThread() == sipCpp->thread())
        delete sipCpp;
    else
        sipCpp->deleteLater();
}


extern "C" {static void dealloc_rviz_ViewController(sipSimpleWrapper *);}
static void dealloc_rviz_ViewController(sipSimpleWrapper *sipSelf)
{
    if (sipIsPyOwned(sipSelf))
    {
        release_rviz_ViewController(sipGetAddress(sipSelf),0);
    }
}


/* Define this type's super-types. */
static sipEncodedTypeDef supers_rviz_ViewController[] = {{9, 255, 1}};


static PyMethodDef methods_rviz_ViewController[] = {
    {SIP_MLNAME_CAST(sipName_activate), meth_rviz_ViewController_activate, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_emitConfigChanged), meth_rviz_ViewController_emitConfigChanged, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_formatClassId), meth_rviz_ViewController_formatClassId, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_getClassId), meth_rviz_ViewController_getClassId, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_getCursor), meth_rviz_ViewController_getCursor, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_getViewData), meth_rviz_ViewController_getViewData, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_getViewFlags), meth_rviz_ViewController_getViewFlags, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_isActive), meth_rviz_ViewController_isActive, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_load), meth_rviz_ViewController_load, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_lookAt), meth_rviz_ViewController_lookAt, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_mimic), meth_rviz_ViewController_mimic, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_reset), meth_rviz_ViewController_reset, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_save), meth_rviz_ViewController_save, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_setClassId), meth_rviz_ViewController_setClassId, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_transitionFrom), meth_rviz_ViewController_transitionFrom, METH_VARARGS, NULL},
    {SIP_MLNAME_CAST(sipName_update), meth_rviz_ViewController_update, METH_VARARGS, NULL}
};


/* Define this type's signals. */
static const pyqt5QtSignal signals_rviz_ViewController[] = {
    {"configChanged()", 0, 0, 0},
    {0, 0, 0, 0}
};


pyqt5ClassTypeDef sipTypeDef_librviz_sip_rviz_ViewController = {
{
    {
        -1,
        0,
        0,
        SIP_TYPE_ABSTRACT|SIP_TYPE_SCC|SIP_TYPE_SUPER_INIT|SIP_TYPE_CLASS,
        sipNameNr_rviz__ViewController,
        {0}
    },
    {
        sipNameNr_ViewController,
        {0, 255, 0},
        16, methods_rviz_ViewController,
        0, 0,
        0, 0,
        {0, 0, 0, 0, 0, 0, 0, 0, 0, 0},
    },
    0,
    -1,
    -1,
    supers_rviz_ViewController,
    0,
    0,
    0,
    0,
#if PY_MAJOR_VERSION >= 3
    0,
    0,
#else
    0,
    0,
    0,
    0,
#endif
    dealloc_rviz_ViewController,
    0,
    0,
    0,
    release_rviz_ViewController,
    cast_rviz_ViewController,
    0,
    0,
    0,
    0,
    0,
    0
},
    &rviz::ViewController::staticMetaObject,
    0,
    signals_rviz_ViewController,
    0
};
